List Project Schedules
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schedules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target": {
"id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"schedule": "<string>",
"timezone": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {},
"timeout_seconds": 123,
"backoff_limit": 123,
"concurrency_policy": "<string>",
"source_trigger_id": "<string>",
"source_path": "<string>",
"source_hash": "<string>",
"last_scheduled_at": "<string>",
"last_successful_at": "<string>",
"health": {
"maxStalenessSeconds": 1
},
"max_runs": 1,
"run_count": 1,
"completed_at": "<string>",
"paused_reason": "<string>",
"paused_at": "<string>",
"last_failure_at": "<string>",
"last_failure_code": "<string>",
"last_failure_message": "<string>",
"last_failure_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"integration_requirements": []
}
],
"source_schedules": []
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"error": "<string>",
"message": "<string>"
}Lists recurring project schedules that trigger task, workflow, or agent runs.
GET
/
projects
/
{project_reference}
/
schedules
List Project Schedules
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Minimum string length:
1Query Parameters
Provide the runtime target kind.
Available options:
main_branch, environment, preview_branch Provide the target environment id.
Provide the target branch id.
Available options:
active, paused, deleting Required range:
1 <= x <= 200Provide the source target kind.
Available options:
project, main_branch, environment, preview_branch Available options:
created_at, name Available options:
asc, desc ⌘I